aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-coverage/APKBUILD
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2016-03-14 15:54:28 +0200
committerTimo Teräs <timo.teras@iki.fi>2016-03-18 09:26:47 +0000
commitfad623d0435bf5bbc7ad888d6a56da5c7d7e86d7 (patch)
tree656fee541b3142ff96cbc9ed4d79492773e63ac3 /testing/py-coverage/APKBUILD
parentec365ab813fa5ddf6d6b585f7ac673f029261ceb (diff)
downloadaports-fad623d0435bf5bbc7ad888d6a56da5c7d7e86d7.tar.gz
aports-fad623d0435bf5bbc7ad888d6a56da5c7d7e86d7.tar.bz2
aports-fad623d0435bf5bbc7ad888d6a56da5c7d7e86d7.tar.xz
testing/py-coverage: new aport
Code coverage measurement for Python https://pypi.python.org/pypi/coverage
Diffstat (limited to 'testing/py-coverage/APKBUILD')
-rw-r--r--testing/py-coverage/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/py-coverage/APKBUILD b/testing/py-coverage/APKBUILD
new file mode 100644
index 0000000000..4da98481b7
--- /dev/null
+++ b/testing/py-coverage/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Valery Kartel <valery.kartel@gmail.com>
+# Contributor: Valery Kartel <valery.kartel@gmail.com>
+pkgname=py-coverage
+_pkgname=coverage
+pkgver=4.1b2
+pkgrel=0
+pkgdesc="Code coverage measurement for Python"
+url="https://pypi.python.org/pypi/coverage"
+arch="all"
+license="apache2"
+depends=
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages="$pkgname-tools"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+tools() {
+ pkgdesc="$pkgdesc (command line tools)"
+ depends="$pkgname"
+ arch="noarch"
+ mkdir -p "$subpkgdir"/usr
+ mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="e68db75497aed61bc6c28990dbb4d99d coverage-4.1b2.tar.gz"
+sha256sums="234f49523c94b0e588a9d2f0af55ec7a85a4c302e917f753eff2a444bc40d04d coverage-4.1b2.tar.gz"
+sha512sums="c74a2190553bb12a24ea3e06bc4a50cea3c555e81fb149219a029069925fcd4481ff02c1774c92b9341d15c18b51e8c28713a2e7b50e565c0a07a7a5f6804f7e coverage-4.1b2.tar.gz"